Developer Documentation

Public Slots | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LicenseManager Class Referenceabstract

License management base class. More...

`#include <OpenFlipper/LicenseManager/LicenseManagerActive.hh>`

Inheritance diagram for LicenseManager:

## Public Slots
bool | authenticate ()
QString | licenseError ()

## Public Member Functions
void | blockSignals (bool _state)
bool | authenticated ()

## Protected Member Functions
void | connectNotify (const char *signal)

## Private Member Functions
bool | timestampOk ()
virtual QString | name ()=0
virtual QString | pluginFileName ()

## Private Attributes
bool | authenticated_
| This flag is true if authentication was successful.
QString | authstring_
| License information string.

## Additional Inherited Members
Private Slots inherited from SecurityInterface
bool | authenticate ()
| Function starting the authentication process.
QString | licenseError ()
| If authenticate returns fails, this string will contain the license info.

## Detailed Description

License management base class.

See Security/License Interface for Details on how to use it.

The class is used by plugins to integrate license management. It will check the license, generate license requests and prevent the plugin from loading if an invalid license or no license is found.

Definition at line 68 of file LicenseManagerActive.hh.

## Member Function Documentation

## ◆ authenticate

bool LicenseManager::authenticate | ( |  | ) |
| slot

Call this function for plugin authentication. If it returns true, the authentication has been successful. Otherwise the core will stop loading the plugin. Additionally the plugin will make itself unusable by not allowing any signal slot connections.

Definition at line 202 of file LicenseManagerActive.cc.

## ◆ authenticated()

bool LicenseManager::authenticated | ( |  | ) |

Return if the plugin has successfully passed the authentication.

Definition at line 574 of file LicenseManagerActive.cc.

## ◆ blockSignals()

void LicenseManager::blockSignals | ( | bool | _state | ) |

This function is overloaded and will not allow to unblock signals if the plugin is not authenticated.

Definition at line 114 of file LicenseManagerActive.cc.

## ◆ connectNotify()

void LicenseManager::connectNotify | ( | const char * | signal | ) |
| protected

This function is overloaded in the security interface. If the plugin is not authenticated, all connections will be automatically removed again.

Definition at line 579 of file LicenseManagerActive.cc.

## ◆ licenseError

QString LicenseManager::licenseError | ( |  | ) |
| slot

if authenticate returns false, this string will contain the license information required to generate a license request and the error that caused the failure.

Definition at line 570 of file LicenseManagerActive.cc.

## ◆ name()

virtual QString LicenseManager::name | ( |  | ) |
| private pure virtual

This is used to get the plugins Name from derived classes The plugin name is the usual name of the plugin

## ◆ pluginFileName()

QString LicenseManager::pluginFileName | ( |  | ) |
| private virtual

This function is special to the LicenseManager. It is used to find the plugin when checking its hash value.

Definition at line 590 of file LicenseManagerActive.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/LicenseManager/LicenseManagerActive.hh
- OpenFlipper/LicenseManager/LicenseManagerDisabled.hh
- OpenFlipper/LicenseManager/LicenseManagerActive.cc
- OpenFlipper/LicenseManager/LicenseManagerDisabled.cc